package net.pokeranalytics.android.ui.activity

import android.content.Context
import android.content.Intent
import android.os.Bundle
import androidx.fragment.app.Fragment
import net.pokeranalytics.android.R
import net.pokeranalytics.android.ui.activity.components.PokerAnalyticsActivity

class ComparisonChartActivity : PokerAnalyticsActivity() {

	companion object {
		fun newInstance(context: Context) {
			val intent = Intent(context, ComparisonChartActivity::class.java)
			context.startActivity(intent)
		}

		/**
		 * Create a new instance for result
		 */
		fun newInstanceForResult(fragment: Fragment, requestCode: Int) {
			val intent = Intent(fragment.requireContext(), ComparisonChartActivity::class.java)
			fragment.startActivityForResult(intent, requestCode)
		}

	}

	override fun onCreate(savedInstanceState: Bundle?) {
		super.onCreate(savedInstanceState)
		setContentView(R.layout.activity_comparison_chart)
	}

}